/*
 * Copyright 2011 Hanson Robokind LLC.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.robokind.api.animation.factory;

import org.robokind.api.animation.Animation;
import org.jflux.api.core.util.Factory;

/**
 * A class for creating new Animations.
 *
 * @author Matthew Stevenson <www.robokind.org>
 */
public class AnimationFactory implements Factory<Animation>{
    /**
     * Returns a new empty Animation.
     * @return a new empty Animation
     */
    @Override
    public Animation create() {
        return new Animation();
    }
}
